Aspirerelease/17.0
Watch Aspire live streamsDocsTry Aspire

WithTransformQueryValue

Method
📦 Aspire.Hosting.Yarp v17.0.0
func (YarpRoute) WithTransformQueryValue(
queryKey string,
value string,
options ...*WithTransformQueryValueOptions,
) YarpRoute

Signature

methodWithTransformQueryValue
Adds the transform that will append or set the query parameter from the given value.
WithTransformQueryValue(
queryKey string,
value string,
options ...*WithTransformQueryValueOptions,
) YarpRoute
queryKeystring
valuestring
options...*WithTransformQueryValueOptionsOptional settings, described under Options.

Optional parameters are passed in a trailing options ...*WithTransformQueryValueOptions argument.

Append*bool
YarpRoute

Returns a handle; failures surface later via Err().

Applies to

This method applies to the following types: